Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoLineWidthElement Class Reference
[Elements (mostly for internal use)]

The SoLineWidthElement class changes the linewidth setting of the render state. More...

`#include <Inventor/elements/SoLineWidthElement.h>`

Inheritance diagram for SoLineWidthElement:

List of all members.

## Public Methods
virtual void | init (SoState *state)
## Static Public Methods
void | initClass (void)
void | set (SoState *const state, SoNode *const node, const float lineWidth)
void | set (SoState *const state, const float lineWidth)
float | get (SoState *const state)
float | getDefault ()
## Protected Methods
virtual | ~SoLineWidthElement ()

## Detailed Description

The SoLineWidthElement class changes the linewidth setting of the render state.

Requests from the scenegraph to change the linewidth when rendering line primitives will be made through this element, which forwards it to the appropriate native call in the underlying rendering library.

Subsequent nodes rendering line primitives will use the width setting (for instance SoLineSet nodes).

## Constructor & Destructor Documentation

SoLineWidthElement::~SoLineWidthElement | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoLineWidthElement::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoFloatElement. Reimplemented in SoGLLineWidthElement.

void SoLineWidthElement::init | ( | SoState * | state | ) | `[virtual]`

| This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects. Reimplemented from SoFloatElement. Reimplemented in SoGLLineWidthElement.

void SoLineWidthElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | lineWidth
| ) | `[static]`

| Set up the current state's lineWidth value.

void SoLineWidthElement::set | ( | SoState *const | state,
|  | const float | lineWidth
| ) | `[static]`

| Set up the current state's lineWidth value.

float SoLineWidthElement::get | ( | SoState *const | state | ) | `[static]`

| Returns the current line width value.

float SoLineWidthElement::getDefault | ( | void |  | ) | `[static]`

| Returns the default linewidth value if no value has been set explicitly.

The documentation for this class was generated from the following files:

- SoLineWidthElement.h
- SoLineWidthElement.cpp